-- описание трофеев
--[[
ЗА ПРОДУКТЫ
    имена продуктов для трофеев: milk,shear,egg,tomatos,cheese,corns,milkgoat,pumpkin
    products = { 
        tomatos = 80;--число продуктов набранных в игре
    };
ЗА ЭКСПЕРТ
    прохождение одного уровня с экспертом
        level = 10; -- номер уровня
        expert = 1;
    прохождение указанного кол-ва уровней с экспертом, level нельзя указывать!
        expert = 5; --за 5 пройденных уровней с экспертом
    за прохождение указанных номеров уровней с экспертом, level нельзя указывать!
        expert_levels = {1,5,11};
ЗА ОЧКИ
    прохождение одного уровня с указанным кол-вом очков
        level = 10; -- номер уровня
        score = 10000; --очки
    набор очков за всю игру, level нельзя указывать!
        score = 10000; --очки
ЗА ПРОХОЖДЕНИЕ УКАЗАННОГО УРОВНЯ:
        level = 10; -- номер уровня
        
можно комбинировать разные условия, тогда трофей берется если все условия выполняются        
--]]

trophyes = {
--трофей № 1
    {
        products = { --число продуктов набранных в игре
            tomatos = 1000;
        };
        medal="dairydash_collectedtomatoes";
    };
--трофей № 2
    {
        level = 26; 
        medal="dairydash_completedfarm2"; -- Completed Farm 2
    };
--трофей № 3
    {
        products = { --число продуктов набранных в игре
            egg = 300;
        };
        medal="dairydash_collectedeggs";
    };
--трофей № 4
    {
        products = { --число продуктов набранных в игре
            corns = 300;
        };
        medal="dairydash_collectedcorn"; --кукуруза
    };
--трофей № 5
    {
        products = { --число продуктов набранных в игре
            milk = 400;
        };
        medal="dairydash_collectedmilk";
    };
--трофей № 6
    {
        level = 52; 
        medal="dairydash_completed"; -- Completed Story Mode
    };
--трофей № 7
    {
        products = { --число продуктов набранных в игре
            cheese = 20;
        };
        medal="dairydash_collectedcheese"; -- за сыр
    };
--трофей № 8
    {
        products = { 
            shear = 200;
        };
        medal="dairydash_collectedwool"; --за шерсть
    };
--трофей № 9
    {
        products = { --число продуктов набранных в игре
            pumpkin = 300;
        };
        medal="dairydash_collectedpumpkins";  --за тыквы
    };
--трофей № 10
    {
        expert = 52; 
        medal="dairydash_completedexpert";
    };
--трофей № 11
    {
        expert_levels = {5,10, 18, 23, 31, 36, 44, 49};
        medal="dairydash_minigame";
    };
--трофей № 12
    {
        level = 13;  --если указан допустимый номер уровня тогда идет 
        medal="dairydash_completedfarm1";
    };
--трофей № 13
    {
        level = 39;
        medal="dairydash_completedfarm3";
    };
};


-- отметит в массиве trophyes какие трофеи получены для текущего игрока
function SetGotTrophyes()
    local sizeTrophyes = table.getn(trophyes);
    local TakeTrophyIndexTable = gGlobalPlayerInfo.gTrophyes;
    local sizeTakeTrophyIndexTable = table.getn(gGlobalPlayerInfo.gTrophyes);
--CPP_ScriptDump("sizeTakeTrophyIndexTable="..sizeTakeTrophyIndexTable.." sizeTrophyes="..sizeTrophyes);
    for ind = 1, sizeTrophyes, 1 do
        trophyes[ind].taking = 0;
    end
    for indTake = sizeTrophyes, 1, -1 do   --sizeTakeTrophyIndexTable
--CPP_ScriptDump("indTake="..indTake);
        if (TakeTrophyIndexTable[indTake] ~= nil) then
            cur = TakeTrophyIndexTable[indTake];
--CPP_ScriptDump("indTake="..indTake.."  cur="..cur);
            if (cur > 0 and cur <= sizeTrophyes) then
                if (trophyes[cur].taking == 0) then trophyes[cur].taking = 1; end
--CPP_ScriptDump("trophyes[cur].taking="..trophyes[cur].taking);
            else
 CPP_ScriptDump("remove="..indTake.." cur="..cur);
                table.remove(TakeTrophyIndexTable, indTake);
            end
        end
    end
end

function TableInsertNum(aTable,aValue)
    local size = table.getn(aTable);
    aTable[size+1] = aValue;
end
